<bugID>740068<Summary>Firefox takes 5 minutes to quit, pegging CPU</Summary><Description>On FF 14.0a1 (2012-03-17), OS 10.7.3, FF often takes 5 minutes to quit. I have only about 10 tabs open.

During this period, one CPU core is pegged at 100%. It seems to happen more reliably when FF was eating a lot of RAM beforehand. In my most recent episode, it was using 1.84GB before I tried to quit.

A perhaps related fact is that I have an awful lot of long GC pauses:

GC(T+472281.9) Total Time: 733.2ms, Type: global, MMU (20ms): 0%, MMU (50ms): 0%, Reason: CC_WAITING, Nonincremental Reason: GC mode, +Chunks: 0, -Chunks: 0
    Totals: Mark: 654.7ms, Mark Roots: 97.4ms, Mark Other: 25.7ms, Sweep: 35.7ms, Sweep Object: 16.6ms, Sweep String: 0.4ms, Sweep Script: 0.5ms, Sweep Shape: 4.0ms, Discard Code: 1.1ms, Discard Analysis: 5.9ms, XPConnect: 1.9ms, Deallocate: 0.2ms

CC(T+472283.9) duration: 49ms, suspected: 742, visited: 18480 RCed and 6921 GCed, collected: 1199 RCed and 170 GCed (1369 waiting for GC)
ForgetSkippable 4 times before CC, min: 2 ms, max: 35 ms, avg: 10 ms, total: 43 ms, removed: 935

GC(T+472295.4) Total Time: 691.7ms, Type: global, MMU (20ms): 0%, MMU (50ms): 0%, Reason: CC_WAITING, Nonincremental Reason: GC mode, +Chunks: 0, -Chunks: 0
    Totals: Mark: 620.4ms, Mark Roots: 97.0ms, Mark Other: 25.0ms, Sweep: 30.8ms, Sweep Object: 14.8ms, Sweep String: 0.2ms, Sweep Script: 0.5ms, Sweep Shape: 3.6ms, Discard Code: 0.9ms, Discard Analysis: 4.2ms, XPConnect: 1.7ms, Deallocate: 0.1ms

CC(T+472297.5) duration: 48ms, suspected: 274, visited: 17726 RCed and 6896 GCed, collected: 601 RCed and 85 GCed (686 waiting for GC)
ForgetSkippable 4 times before CC, min: 0 ms, max: 30 ms, avg: 9 ms, total: 36 ms, removed: 1305


Attached is an Activity Monitor sample of FF while it was trying to quit.

I'll hazard a guess that this is different from bug 730003, which looks IO-bound.</Description></bugID>